> For the complete documentation index, see [llms.txt](https://developers.tiqets.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.tiqets.dev/integration-guides/product-integration/sell-high-demand-products-with-delayed-fulfilment-and-supplier-delivered-ticket.md).

# Sell high-demand products with delayed fulfilment and supplier delivered ticket

If you want to sell products like Borghese Gallery or Chichén Itzá via the Booking API, you will notice something different in the post-purchase flow, and may even face some issues if you don't pay attention to these products' specificities: they have a delayed ticket delivery — the suppliers provide the vouchers later than usual after the purchase — so they follow a different process for you to **retrieve the tickets** of a fulfilled order.

### Which products are concerned?

Several best selling products of large venues:

* Two products in **Borghese Gallery**&#x20;
* Our top product in **Chichén Itzá**
* Three products in **Rome Pantheon**
* Two products in **Mount Vesuvius**&#x20;  &#x20;
* Two products in **Colosseum, Palatine Hill & Roman Forum**&#x20;
* etc.

### How to identify them?

You can find this information in `GET /products` in the field `ticket_delivery`:&#x20;

* if the value is `direct_via_tiqets_api`, that's just a regular product;
* if the value is `delayed_via_tiqets_api` or if it's  `delayed_via_supplier_email`, then you'll have to make sure you can handle the delayed fulfilment. Continue reading to know how!

### What is different with the fulfilment?

These products have delayed fulfilment, which means the real tickets are not available as soon as an order is successfully completed. Instead, the supplier will provide the final tickets later, usually only **a few days before the visit date**.

Note: even though it is successful, the order status will remain as `pending` until the supplier provides the final tickets or until the visit date itself.

### What's the delay timeline?

Each product is different, but you have two ways to know what to expect.

* In `GET /products` you will find the exact timeframe set by the supplier, in:
  * either `"days_before_visit_delivery"` (e.g. if you see `1` it means the tickets will be delivered *one day* before the visit date);
  * or `"hours_after_booking_delivery"` (e.g. if you se `24` it means the tickets will be delivered *one day* after the order is created).
* In `POST /orders` you will see `expected_ticket_delivery_date`, the specific *date* you can expect the tickets to be delivered for this specific order, e.g. `2027-08-25`.

### How to retrieve the tickets?

#### **1- Temporary ticket**

For products with `"ticket_delivery": "delayed_via_supplier_email"`, as soon as the order is paid and confirmed, you can call `GET /orders/{id}/tickets` as usual, and you'll get a temporary PDF that you can provide to your customers which contains information - but it's not the final ticket.&#x20;

The temporary PDF does mention that it's not final, and explains when the user should receive the real tickets, but it's better if *you* also explain this to your customer in your confirmation page/email.

#### **2- Final ticket**

The final ticket will be made available by the supplier in 2 possible methods.

**The supplier sends the ticket by email:**

* The product content will mention `"ticket_delivery": "delayed_via_supplier_email"`
* You don't need to do anything additional. The supplier will directly send the tickets to the customer, using the email address provided during the booking.
* <mark style="color:orange;">Important: you must provide the real customer contact details in</mark> <mark style="color:orange;"></mark><mark style="color:orange;">`POST /orders`</mark> <mark style="color:orange;"></mark><mark style="color:orange;">for this to work.</mark>

**The supplier uploads the ticket on their Tiqets portal:**&#x20;

* The product content will mention `"ticket_delivery": "delayed_via_tiqets_api"`
* You will need to retrieve the final tickets in `GET /orders/{id}/tickets` after it was uploaded, and then transfer it to your customer (as for a regular product).
* <mark style="color:purple;">Note: you will know the ticket is delivered when the order status moves to</mark> <mark style="color:purple;"></mark><mark style="color:purple;">`done`</mark><mark style="color:purple;">, which you can monitor based on the delivery timeline or by using a</mark> [<mark style="color:purple;">callback URL</mark>](https://developers.tiqets.dev/basics/openapi/booking-api/create-order#order-status-change-notification-webhook)<mark style="color:purple;">.</mark>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.tiqets.dev/integration-guides/product-integration/sell-high-demand-products-with-delayed-fulfilment-and-supplier-delivered-ticket.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
